Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network145.2.160.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
145.2.160.0
Broadcast address
145.2.191.255
First usable
145.2.160.1
Last usable
145.2.191.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex 9102A000 · Integer 2432868352 to 2432876543
Reverse DNS zones
160.2.145.in-addr.arpa
161.2.145.in-addr.arpa
162.2.145.in-addr.arpa
163.2.145.in-addr.arpa
164.2.145.in-addr.arpa
165.2.145.in-addr.arpa
166.2.145.in-addr.arpa
167.2.145.in-addr.arpa
168.2.145.in-addr.arpa
169.2.145.in-addr.arpa
170.2.145.in-addr.arpa
171.2.145.in-addr.arpa
172.2.145.in-addr.arpa
173.2.145.in-addr.arpa
174.2.145.in-addr.arpa
175.2.145.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010001.00000010.10100000.00000000145.2.160.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10010001.00000010.10100000.00000000145.2.160.0
Broadcast10010001.00000010.10111111.11111111145.2.191.255
Split into smaller subnets/27

145.2.160.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1145.2.160.0/27145.2.160.1 to 145.2.160.30145.2.160.3130
2145.2.160.32/27145.2.160.33 to 145.2.160.62145.2.160.6330
3145.2.160.64/27145.2.160.65 to 145.2.160.94145.2.160.9530
4145.2.160.96/27145.2.160.97 to 145.2.160.126145.2.160.12730
5145.2.160.128/27145.2.160.129 to 145.2.160.158145.2.160.15930
6145.2.160.160/27145.2.160.161 to 145.2.160.190145.2.160.19130
7145.2.160.192/27145.2.160.193 to 145.2.160.222145.2.160.22330
8145.2.160.224/27145.2.160.225 to 145.2.160.254145.2.160.25530
9145.2.161.0/27145.2.161.1 to 145.2.161.30145.2.161.3130
10145.2.161.32/27145.2.161.33 to 145.2.161.62145.2.161.6330
11145.2.161.64/27145.2.161.65 to 145.2.161.94145.2.161.9530
12145.2.161.96/27145.2.161.97 to 145.2.161.126145.2.161.12730
13145.2.161.128/27145.2.161.129 to 145.2.161.158145.2.161.15930
14145.2.161.160/27145.2.161.161 to 145.2.161.190145.2.161.19130
15145.2.161.192/27145.2.161.193 to 145.2.161.222145.2.161.22330
16145.2.161.224/27145.2.161.225 to 145.2.161.254145.2.161.25530
17145.2.162.0/27145.2.162.1 to 145.2.162.30145.2.162.3130
18145.2.162.32/27145.2.162.33 to 145.2.162.62145.2.162.6330
19145.2.162.64/27145.2.162.65 to 145.2.162.94145.2.162.9530
20145.2.162.96/27145.2.162.97 to 145.2.162.126145.2.162.12730
21145.2.162.128/27145.2.162.129 to 145.2.162.158145.2.162.15930
22145.2.162.160/27145.2.162.161 to 145.2.162.190145.2.162.19130
23145.2.162.192/27145.2.162.193 to 145.2.162.222145.2.162.22330
24145.2.162.224/27145.2.162.225 to 145.2.162.254145.2.162.25530
25145.2.163.0/27145.2.163.1 to 145.2.163.30145.2.163.3130
26145.2.163.32/27145.2.163.33 to 145.2.163.62145.2.163.6330
27145.2.163.64/27145.2.163.65 to 145.2.163.94145.2.163.9530
28145.2.163.96/27145.2.163.97 to 145.2.163.126145.2.163.12730
29145.2.163.128/27145.2.163.129 to 145.2.163.158145.2.163.15930
30145.2.163.160/27145.2.163.161 to 145.2.163.190145.2.163.19130
31145.2.163.192/27145.2.163.193 to 145.2.163.222145.2.163.22330
32145.2.163.224/27145.2.163.225 to 145.2.163.254145.2.163.25530
33145.2.164.0/27145.2.164.1 to 145.2.164.30145.2.164.3130
34145.2.164.32/27145.2.164.33 to 145.2.164.62145.2.164.6330
35145.2.164.64/27145.2.164.65 to 145.2.164.94145.2.164.9530
36145.2.164.96/27145.2.164.97 to 145.2.164.126145.2.164.12730
37145.2.164.128/27145.2.164.129 to 145.2.164.158145.2.164.15930
38145.2.164.160/27145.2.164.161 to 145.2.164.190145.2.164.19130
39145.2.164.192/27145.2.164.193 to 145.2.164.222145.2.164.22330
40145.2.164.224/27145.2.164.225 to 145.2.164.254145.2.164.25530
41145.2.165.0/27145.2.165.1 to 145.2.165.30145.2.165.3130
42145.2.165.32/27145.2.165.33 to 145.2.165.62145.2.165.6330
43145.2.165.64/27145.2.165.65 to 145.2.165.94145.2.165.9530
44145.2.165.96/27145.2.165.97 to 145.2.165.126145.2.165.12730
45145.2.165.128/27145.2.165.129 to 145.2.165.158145.2.165.15930
46145.2.165.160/27145.2.165.161 to 145.2.165.190145.2.165.19130
47145.2.165.192/27145.2.165.193 to 145.2.165.222145.2.165.22330
48145.2.165.224/27145.2.165.225 to 145.2.165.254145.2.165.25530
49145.2.166.0/27145.2.166.1 to 145.2.166.30145.2.166.3130
50145.2.166.32/27145.2.166.33 to 145.2.166.62145.2.166.6330
51145.2.166.64/27145.2.166.65 to 145.2.166.94145.2.166.9530
52145.2.166.96/27145.2.166.97 to 145.2.166.126145.2.166.12730
53145.2.166.128/27145.2.166.129 to 145.2.166.158145.2.166.15930
54145.2.166.160/27145.2.166.161 to 145.2.166.190145.2.166.19130
55145.2.166.192/27145.2.166.193 to 145.2.166.222145.2.166.22330
56145.2.166.224/27145.2.166.225 to 145.2.166.254145.2.166.25530
57145.2.167.0/27145.2.167.1 to 145.2.167.30145.2.167.3130
58145.2.167.32/27145.2.167.33 to 145.2.167.62145.2.167.6330
59145.2.167.64/27145.2.167.65 to 145.2.167.94145.2.167.9530
60145.2.167.96/27145.2.167.97 to 145.2.167.126145.2.167.12730
61145.2.167.128/27145.2.167.129 to 145.2.167.158145.2.167.15930
62145.2.167.160/27145.2.167.161 to 145.2.167.190145.2.167.19130
63145.2.167.192/27145.2.167.193 to 145.2.167.222145.2.167.22330
64145.2.167.224/27145.2.167.225 to 145.2.167.254145.2.167.25530
65145.2.168.0/27145.2.168.1 to 145.2.168.30145.2.168.3130
66145.2.168.32/27145.2.168.33 to 145.2.168.62145.2.168.6330
67145.2.168.64/27145.2.168.65 to 145.2.168.94145.2.168.9530
68145.2.168.96/27145.2.168.97 to 145.2.168.126145.2.168.12730
69145.2.168.128/27145.2.168.129 to 145.2.168.158145.2.168.15930
70145.2.168.160/27145.2.168.161 to 145.2.168.190145.2.168.19130
71145.2.168.192/27145.2.168.193 to 145.2.168.222145.2.168.22330
72145.2.168.224/27145.2.168.225 to 145.2.168.254145.2.168.25530
73145.2.169.0/27145.2.169.1 to 145.2.169.30145.2.169.3130
74145.2.169.32/27145.2.169.33 to 145.2.169.62145.2.169.6330
75145.2.169.64/27145.2.169.65 to 145.2.169.94145.2.169.9530
76145.2.169.96/27145.2.169.97 to 145.2.169.126145.2.169.12730
77145.2.169.128/27145.2.169.129 to 145.2.169.158145.2.169.15930
78145.2.169.160/27145.2.169.161 to 145.2.169.190145.2.169.19130
79145.2.169.192/27145.2.169.193 to 145.2.169.222145.2.169.22330
80145.2.169.224/27145.2.169.225 to 145.2.169.254145.2.169.25530
81145.2.170.0/27145.2.170.1 to 145.2.170.30145.2.170.3130
82145.2.170.32/27145.2.170.33 to 145.2.170.62145.2.170.6330
83145.2.170.64/27145.2.170.65 to 145.2.170.94145.2.170.9530
84145.2.170.96/27145.2.170.97 to 145.2.170.126145.2.170.12730
85145.2.170.128/27145.2.170.129 to 145.2.170.158145.2.170.15930
86145.2.170.160/27145.2.170.161 to 145.2.170.190145.2.170.19130
87145.2.170.192/27145.2.170.193 to 145.2.170.222145.2.170.22330
88145.2.170.224/27145.2.170.225 to 145.2.170.254145.2.170.25530
89145.2.171.0/27145.2.171.1 to 145.2.171.30145.2.171.3130
90145.2.171.32/27145.2.171.33 to 145.2.171.62145.2.171.6330
91145.2.171.64/27145.2.171.65 to 145.2.171.94145.2.171.9530
92145.2.171.96/27145.2.171.97 to 145.2.171.126145.2.171.12730
93145.2.171.128/27145.2.171.129 to 145.2.171.158145.2.171.15930
94145.2.171.160/27145.2.171.161 to 145.2.171.190145.2.171.19130
95145.2.171.192/27145.2.171.193 to 145.2.171.222145.2.171.22330
96145.2.171.224/27145.2.171.225 to 145.2.171.254145.2.171.25530
97145.2.172.0/27145.2.172.1 to 145.2.172.30145.2.172.3130
98145.2.172.32/27145.2.172.33 to 145.2.172.62145.2.172.6330
99145.2.172.64/27145.2.172.65 to 145.2.172.94145.2.172.9530
100145.2.172.96/27145.2.172.97 to 145.2.172.126145.2.172.12730
101145.2.172.128/27145.2.172.129 to 145.2.172.158145.2.172.15930
102145.2.172.160/27145.2.172.161 to 145.2.172.190145.2.172.19130
103145.2.172.192/27145.2.172.193 to 145.2.172.222145.2.172.22330
104145.2.172.224/27145.2.172.225 to 145.2.172.254145.2.172.25530
105145.2.173.0/27145.2.173.1 to 145.2.173.30145.2.173.3130
106145.2.173.32/27145.2.173.33 to 145.2.173.62145.2.173.6330
107145.2.173.64/27145.2.173.65 to 145.2.173.94145.2.173.9530
108145.2.173.96/27145.2.173.97 to 145.2.173.126145.2.173.12730
109145.2.173.128/27145.2.173.129 to 145.2.173.158145.2.173.15930
110145.2.173.160/27145.2.173.161 to 145.2.173.190145.2.173.19130
111145.2.173.192/27145.2.173.193 to 145.2.173.222145.2.173.22330
112145.2.173.224/27145.2.173.225 to 145.2.173.254145.2.173.25530
113145.2.174.0/27145.2.174.1 to 145.2.174.30145.2.174.3130
114145.2.174.32/27145.2.174.33 to 145.2.174.62145.2.174.6330
115145.2.174.64/27145.2.174.65 to 145.2.174.94145.2.174.9530
116145.2.174.96/27145.2.174.97 to 145.2.174.126145.2.174.12730
117145.2.174.128/27145.2.174.129 to 145.2.174.158145.2.174.15930
118145.2.174.160/27145.2.174.161 to 145.2.174.190145.2.174.19130
119145.2.174.192/27145.2.174.193 to 145.2.174.222145.2.174.22330
120145.2.174.224/27145.2.174.225 to 145.2.174.254145.2.174.25530
121145.2.175.0/27145.2.175.1 to 145.2.175.30145.2.175.3130
122145.2.175.32/27145.2.175.33 to 145.2.175.62145.2.175.6330
123145.2.175.64/27145.2.175.65 to 145.2.175.94145.2.175.9530
124145.2.175.96/27145.2.175.97 to 145.2.175.126145.2.175.12730
125145.2.175.128/27145.2.175.129 to 145.2.175.158145.2.175.15930
126145.2.175.160/27145.2.175.161 to 145.2.175.190145.2.175.19130
127145.2.175.192/27145.2.175.193 to 145.2.175.222145.2.175.22330
128145.2.175.224/27145.2.175.225 to 145.2.175.254145.2.175.25530
129145.2.176.0/27145.2.176.1 to 145.2.176.30145.2.176.3130
130145.2.176.32/27145.2.176.33 to 145.2.176.62145.2.176.6330
131145.2.176.64/27145.2.176.65 to 145.2.176.94145.2.176.9530
132145.2.176.96/27145.2.176.97 to 145.2.176.126145.2.176.12730
133145.2.176.128/27145.2.176.129 to 145.2.176.158145.2.176.15930
134145.2.176.160/27145.2.176.161 to 145.2.176.190145.2.176.19130
135145.2.176.192/27145.2.176.193 to 145.2.176.222145.2.176.22330
136145.2.176.224/27145.2.176.225 to 145.2.176.254145.2.176.25530
137145.2.177.0/27145.2.177.1 to 145.2.177.30145.2.177.3130
138145.2.177.32/27145.2.177.33 to 145.2.177.62145.2.177.6330
139145.2.177.64/27145.2.177.65 to 145.2.177.94145.2.177.9530
140145.2.177.96/27145.2.177.97 to 145.2.177.126145.2.177.12730
141145.2.177.128/27145.2.177.129 to 145.2.177.158145.2.177.15930
142145.2.177.160/27145.2.177.161 to 145.2.177.190145.2.177.19130
143145.2.177.192/27145.2.177.193 to 145.2.177.222145.2.177.22330
144145.2.177.224/27145.2.177.225 to 145.2.177.254145.2.177.25530
145145.2.178.0/27145.2.178.1 to 145.2.178.30145.2.178.3130
146145.2.178.32/27145.2.178.33 to 145.2.178.62145.2.178.6330
147145.2.178.64/27145.2.178.65 to 145.2.178.94145.2.178.9530
148145.2.178.96/27145.2.178.97 to 145.2.178.126145.2.178.12730
149145.2.178.128/27145.2.178.129 to 145.2.178.158145.2.178.15930
150145.2.178.160/27145.2.178.161 to 145.2.178.190145.2.178.19130
151145.2.178.192/27145.2.178.193 to 145.2.178.222145.2.178.22330
152145.2.178.224/27145.2.178.225 to 145.2.178.254145.2.178.25530
153145.2.179.0/27145.2.179.1 to 145.2.179.30145.2.179.3130
154145.2.179.32/27145.2.179.33 to 145.2.179.62145.2.179.6330
155145.2.179.64/27145.2.179.65 to 145.2.179.94145.2.179.9530
156145.2.179.96/27145.2.179.97 to 145.2.179.126145.2.179.12730
157145.2.179.128/27145.2.179.129 to 145.2.179.158145.2.179.15930
158145.2.179.160/27145.2.179.161 to 145.2.179.190145.2.179.19130
159145.2.179.192/27145.2.179.193 to 145.2.179.222145.2.179.22330
160145.2.179.224/27145.2.179.225 to 145.2.179.254145.2.179.25530
161145.2.180.0/27145.2.180.1 to 145.2.180.30145.2.180.3130
162145.2.180.32/27145.2.180.33 to 145.2.180.62145.2.180.6330
163145.2.180.64/27145.2.180.65 to 145.2.180.94145.2.180.9530
164145.2.180.96/27145.2.180.97 to 145.2.180.126145.2.180.12730
165145.2.180.128/27145.2.180.129 to 145.2.180.158145.2.180.15930
166145.2.180.160/27145.2.180.161 to 145.2.180.190145.2.180.19130
167145.2.180.192/27145.2.180.193 to 145.2.180.222145.2.180.22330
168145.2.180.224/27145.2.180.225 to 145.2.180.254145.2.180.25530
169145.2.181.0/27145.2.181.1 to 145.2.181.30145.2.181.3130
170145.2.181.32/27145.2.181.33 to 145.2.181.62145.2.181.6330
171145.2.181.64/27145.2.181.65 to 145.2.181.94145.2.181.9530
172145.2.181.96/27145.2.181.97 to 145.2.181.126145.2.181.12730
173145.2.181.128/27145.2.181.129 to 145.2.181.158145.2.181.15930
174145.2.181.160/27145.2.181.161 to 145.2.181.190145.2.181.19130
175145.2.181.192/27145.2.181.193 to 145.2.181.222145.2.181.22330
176145.2.181.224/27145.2.181.225 to 145.2.181.254145.2.181.25530
177145.2.182.0/27145.2.182.1 to 145.2.182.30145.2.182.3130
178145.2.182.32/27145.2.182.33 to 145.2.182.62145.2.182.6330
179145.2.182.64/27145.2.182.65 to 145.2.182.94145.2.182.9530
180145.2.182.96/27145.2.182.97 to 145.2.182.126145.2.182.12730
181145.2.182.128/27145.2.182.129 to 145.2.182.158145.2.182.15930
182145.2.182.160/27145.2.182.161 to 145.2.182.190145.2.182.19130
183145.2.182.192/27145.2.182.193 to 145.2.182.222145.2.182.22330
184145.2.182.224/27145.2.182.225 to 145.2.182.254145.2.182.25530
185145.2.183.0/27145.2.183.1 to 145.2.183.30145.2.183.3130
186145.2.183.32/27145.2.183.33 to 145.2.183.62145.2.183.6330
187145.2.183.64/27145.2.183.65 to 145.2.183.94145.2.183.9530
188145.2.183.96/27145.2.183.97 to 145.2.183.126145.2.183.12730
189145.2.183.128/27145.2.183.129 to 145.2.183.158145.2.183.15930
190145.2.183.160/27145.2.183.161 to 145.2.183.190145.2.183.19130
191145.2.183.192/27145.2.183.193 to 145.2.183.222145.2.183.22330
192145.2.183.224/27145.2.183.225 to 145.2.183.254145.2.183.25530
193145.2.184.0/27145.2.184.1 to 145.2.184.30145.2.184.3130
194145.2.184.32/27145.2.184.33 to 145.2.184.62145.2.184.6330
195145.2.184.64/27145.2.184.65 to 145.2.184.94145.2.184.9530
196145.2.184.96/27145.2.184.97 to 145.2.184.126145.2.184.12730
197145.2.184.128/27145.2.184.129 to 145.2.184.158145.2.184.15930
198145.2.184.160/27145.2.184.161 to 145.2.184.190145.2.184.19130
199145.2.184.192/27145.2.184.193 to 145.2.184.222145.2.184.22330
200145.2.184.224/27145.2.184.225 to 145.2.184.254145.2.184.25530
201145.2.185.0/27145.2.185.1 to 145.2.185.30145.2.185.3130
202145.2.185.32/27145.2.185.33 to 145.2.185.62145.2.185.6330
203145.2.185.64/27145.2.185.65 to 145.2.185.94145.2.185.9530
204145.2.185.96/27145.2.185.97 to 145.2.185.126145.2.185.12730
205145.2.185.128/27145.2.185.129 to 145.2.185.158145.2.185.15930
206145.2.185.160/27145.2.185.161 to 145.2.185.190145.2.185.19130
207145.2.185.192/27145.2.185.193 to 145.2.185.222145.2.185.22330
208145.2.185.224/27145.2.185.225 to 145.2.185.254145.2.185.25530
209145.2.186.0/27145.2.186.1 to 145.2.186.30145.2.186.3130
210145.2.186.32/27145.2.186.33 to 145.2.186.62145.2.186.6330
211145.2.186.64/27145.2.186.65 to 145.2.186.94145.2.186.9530
212145.2.186.96/27145.2.186.97 to 145.2.186.126145.2.186.12730
213145.2.186.128/27145.2.186.129 to 145.2.186.158145.2.186.15930
214145.2.186.160/27145.2.186.161 to 145.2.186.190145.2.186.19130
215145.2.186.192/27145.2.186.193 to 145.2.186.222145.2.186.22330
216145.2.186.224/27145.2.186.225 to 145.2.186.254145.2.186.25530
217145.2.187.0/27145.2.187.1 to 145.2.187.30145.2.187.3130
218145.2.187.32/27145.2.187.33 to 145.2.187.62145.2.187.6330
219145.2.187.64/27145.2.187.65 to 145.2.187.94145.2.187.9530
220145.2.187.96/27145.2.187.97 to 145.2.187.126145.2.187.12730
221145.2.187.128/27145.2.187.129 to 145.2.187.158145.2.187.15930
222145.2.187.160/27145.2.187.161 to 145.2.187.190145.2.187.19130
223145.2.187.192/27145.2.187.193 to 145.2.187.222145.2.187.22330
224145.2.187.224/27145.2.187.225 to 145.2.187.254145.2.187.25530
225145.2.188.0/27145.2.188.1 to 145.2.188.30145.2.188.3130
226145.2.188.32/27145.2.188.33 to 145.2.188.62145.2.188.6330
227145.2.188.64/27145.2.188.65 to 145.2.188.94145.2.188.9530
228145.2.188.96/27145.2.188.97 to 145.2.188.126145.2.188.12730
229145.2.188.128/27145.2.188.129 to 145.2.188.158145.2.188.15930
230145.2.188.160/27145.2.188.161 to 145.2.188.190145.2.188.19130
231145.2.188.192/27145.2.188.193 to 145.2.188.222145.2.188.22330
232145.2.188.224/27145.2.188.225 to 145.2.188.254145.2.188.25530
233145.2.189.0/27145.2.189.1 to 145.2.189.30145.2.189.3130
234145.2.189.32/27145.2.189.33 to 145.2.189.62145.2.189.6330
235145.2.189.64/27145.2.189.65 to 145.2.189.94145.2.189.9530
236145.2.189.96/27145.2.189.97 to 145.2.189.126145.2.189.12730
237145.2.189.128/27145.2.189.129 to 145.2.189.158145.2.189.15930
238145.2.189.160/27145.2.189.161 to 145.2.189.190145.2.189.19130
239145.2.189.192/27145.2.189.193 to 145.2.189.222145.2.189.22330
240145.2.189.224/27145.2.189.225 to 145.2.189.254145.2.189.25530
241145.2.190.0/27145.2.190.1 to 145.2.190.30145.2.190.3130
242145.2.190.32/27145.2.190.33 to 145.2.190.62145.2.190.6330
243145.2.190.64/27145.2.190.65 to 145.2.190.94145.2.190.9530
244145.2.190.96/27145.2.190.97 to 145.2.190.126145.2.190.12730
245145.2.190.128/27145.2.190.129 to 145.2.190.158145.2.190.15930
246145.2.190.160/27145.2.190.161 to 145.2.190.190145.2.190.19130
247145.2.190.192/27145.2.190.193 to 145.2.190.222145.2.190.22330
248145.2.190.224/27145.2.190.225 to 145.2.190.254145.2.190.25530
249145.2.191.0/27145.2.191.1 to 145.2.191.30145.2.191.3130
250145.2.191.32/27145.2.191.33 to 145.2.191.62145.2.191.6330
251145.2.191.64/27145.2.191.65 to 145.2.191.94145.2.191.9530
252145.2.191.96/27145.2.191.97 to 145.2.191.126145.2.191.12730
253145.2.191.128/27145.2.191.129 to 145.2.191.158145.2.191.15930
254145.2.191.160/27145.2.191.161 to 145.2.191.190145.2.191.19130
255145.2.191.192/27145.2.191.193 to 145.2.191.222145.2.191.22330
256145.2.191.224/27145.2.191.225 to 145.2.191.254145.2.191.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses